## ClutterAction ClutterAction — Abstract class for event-related logic |

## Types and Values

| ClutterAction
struct | ClutterActionClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ╰── ClutterAction
                    ├── ClutterClickAction
                    ├── ClutterDragAction
                    ├── ClutterDropAction
                    ╰── ClutterGestureAction

## Description

ClutterAction is an abstract base class for event-related actions that modify the user interaction of a ClutterActor, just like ClutterConstraint is an abstract class for modifiers of an actor's position or size.

Implementations of ClutterAction are associated to an actor and can provide behavioral changes when dealing with user input - for instance drag and drop capabilities, or scrolling, or panning - by using the various event-related signals provided by ClutterActor itself.

ClutterAction is available since Clutter 1.4

## Functions

## Types and Values

### ClutterAction

    typedef struct _ClutterAction ClutterAction;

The ClutterAction structure contains only private data and should be accessed using the provided API.

Since 1.4

### struct ClutterActionClass

    struct ClutterActionClass {
    };

The ClutterActionClass structure contains only private data

Since 1.4

## See Also

ClutterConstraint